<mat-form-field color="accent" appearance="fill">
    <mat-label>
        Choose a date
    </mat-label>
    <input matInput
           [formControl]="date"
           [matDatepicker]="picker2">
    <mat-datepicker-toggle matSuffix
                           [for]="picker2">
    </mat-datepicker-toggle>
    <mat-datepicker #picker2
                    color="primary">
    </mat-datepicker>
</mat-form-field>